package org.mp.api.coupon.location.model;

import org.mp.api.wxstore.product.model.Sku;

public class BaseInfo {
	//卡券的商户logo，尺寸为300*300。
	private String logo_url;
	//code 码展示类型
	private String code_type ;
	//商户名字,字数上限为12 个汉字
	private String brand_name;
	//券名
	private String title ;
	//券名的副标题
	private String sub_title;
	//券颜色
	private String color;
	//使用提醒
	private String notice ;
	//使用说明
	private String description;
	//门店位置ID
	private String location_id_list;
	//是否自定义code
	private Boolean use_custom_code;
	//是否指定用户领取
	private Boolean bind_openid;
	//领取卡券原生页面是否可分享
	private Boolean can_share;
	//卡券是否可转赠
	private Boolean can_give_friend;
	//每人最大领取次数
	private Integer get_limit;
	//客服电话
	private String service_phone;
	//第三方来源名
	private String source;
	
	/**
	 * 服务场景入口
	 * 仅卡券被用户领取且处于有效状态时显示（转赠中、核销后不显示）。
	 */
	//自定义跳转外链的入口名字
	private String custom_url_name;
	//商户自定义cell 跳转外链的地址链接
	private String custom_url;
	//显示在入口右侧的提示语
	private String custom_url_sub_title;
	
	/**
	 * 营销场景入口
	 * 卡券处于正常状态、转赠中、核销后等异常状态均显示该入口
	 */
	//营销场景的自定义入口名称
	private String promotion_url_name;
	//入口跳转外链的地址链接
	private String promotion_url;
	//显示在营销入口右侧的提示语
	private String promotion_url_sub_title;
	
	/**
	 * 使用场景入口
	 * 仅卡券被用户领取且处于有效状态时显示（未到有效期、转赠中、核销后不显示）
	 */
	//卡券顶部居中的按钮，仅在卡券状态正常(可以核销)时显示，建议开发者设置此按钮时code_type选择CODE_TYPE_NONE类型。
	private String center_title;
	//显示在入口下方的提示语，仅在卡券状态正常(可以核销)时显示
	private String center_sub_title;
	//顶部居中的url，仅在卡券状态正常(可以核销)时显示
	private String center_url;
	
	//商品信息
	private Sku sku;
	//使用日期，有效期的信息
	private DataInfo dataInfo;
	
	public String getLogo_url() {
		return logo_url;
	}
	public void setLogo_url(String logo_url) {
		this.logo_url = logo_url;
	}
	public String getCode_type() {
		return code_type;
	}
	public void setCode_type(String code_type) {
		this.code_type = code_type;
	}
	public String getBrand_name() {
		return brand_name;
	}
	public void setBrand_name(String brand_name) {
		this.brand_name = brand_name;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getSub_title() {
		return sub_title;
	}
	public void setSub_title(String sub_title) {
		this.sub_title = sub_title;
	}
	public String getColor() {
		return color;
	}
	public void setColor(String color) {
		this.color = color;
	}
	public String getNotice() {
		return notice;
	}
	public void setNotice(String notice) {
		this.notice = notice;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getLocation_id_list() {
		return location_id_list;
	}
	public void setLocation_id_list(String location_id_list) {
		this.location_id_list = location_id_list;
	}
	public Boolean getUse_custom_code() {
		return use_custom_code;
	}
	public void setUse_custom_code(Boolean use_custom_code) {
		this.use_custom_code = use_custom_code;
	}
	public Boolean getBind_openid() {
		return bind_openid;
	}
	public void setBind_openid(Boolean bind_openid) {
		this.bind_openid = bind_openid;
	}
	public Boolean getCan_share() {
		return can_share;
	}
	public void setCan_share(Boolean can_share) {
		this.can_share = can_share;
	}
	public Boolean getCan_give_friend() {
		return can_give_friend;
	}
	public void setCan_give_friend(Boolean can_give_friend) {
		this.can_give_friend = can_give_friend;
	}
	public Integer getGet_limit() {
		return get_limit;
	}
	public void setGet_limit(Integer get_limit) {
		this.get_limit = get_limit;
	}
	public String getService_phone() {
		return service_phone;
	}
	public void setService_phone(String service_phone) {
		this.service_phone = service_phone;
	}
	public String getSource() {
		return source;
	}
	public void setSource(String source) {
		this.source = source;
	}
	
	public String getCustom_url_name() {
		return custom_url_name;
	}
	public void setCustom_url_name(String custom_url_name) {
		this.custom_url_name = custom_url_name;
	}
	public String getCustom_url_sub_title() {
		return custom_url_sub_title;
	}
	public void setCustom_url_sub_title(String custom_url_sub_title) {
		this.custom_url_sub_title = custom_url_sub_title;
	}
	public String getPromotion_url_name() {
		return promotion_url_name;
	}
	public void setPromotion_url_name(String promotion_url_name) {
		this.promotion_url_name = promotion_url_name;
	}
	public String getPromotion_url() {
		return promotion_url;
	}
	public void setPromotion_url(String promotion_url) {
		this.promotion_url = promotion_url;
	}
	public String getPromotion_url_sub_title() {
		return promotion_url_sub_title;
	}
	public void setPromotion_url_sub_title(String promotion_url_sub_title) {
		this.promotion_url_sub_title = promotion_url_sub_title;
	}
	public String getCenter_title() {
		return center_title;
	}
	public void setCenter_title(String center_title) {
		this.center_title = center_title;
	}
	public String getCenter_sub_title() {
		return center_sub_title;
	}
	public void setCenter_sub_title(String center_sub_title) {
		this.center_sub_title = center_sub_title;
	}
	public String getCenter_url() {
		return center_url;
	}
	public void setCenter_url(String center_url) {
		this.center_url = center_url;
	}
	public String getCustom_url() {
		return custom_url;
	}
	public void setCustom_url(String custom_url) {
		this.custom_url = custom_url;
	}
	public Sku getSku() {
		return sku;
	}
	public void setSku(Sku sku) {
		this.sku = sku;
	}
	public DataInfo getDataInfo() {
		return dataInfo;
	}
	public void setDataInfo(DataInfo dataInfo) {
		this.dataInfo = dataInfo;
	}
	
	
	     

}
